/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLDocument_H___INT_
#define __GdomHTMLDocument_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDocument.h"
#include "GDOMObject.h"
#include "HTMLDocument.h"
G_BEGIN_DECLS
class GDOMHTMLDocument : public GDOMDocument {
    typedef GDOMDocument Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_DOCUMENT; }
    GDOMHTMLDocument(PassRefPtr<WebCore::HTMLDocument> impl);
};
G_END_DECLS

#endif /* __GdomHTMLDocument_H___INT_*/
